### Hierarchy

- TableEngine

## Index

### Constructors

- constructor

### Methods

- setGame
- start
- startKeyboardListener
- startTickHandler
- stop

## Constructors

### constructor

- new TableEngine(table: HTMLTableElement, customHandler?: ICustomTableEngineEvents): TableEngine

- - Defined in index-browser.ts:45

  #### Parameters

  - ##### table: HTMLTableElement

  - ##### Optional customHandler: ICustomTableEngineEvents

  #### Returns TableEngine

## Methods

### setGame

- setGame(source: string, levelNum: number): void

- - Defined in index-browser.ts:75

  #### Parameters

  - ##### source: string

  - ##### levelNum: number

  #### Returns void

### start

- start(): void

- - Defined in index-browser.ts:81

  #### Returns void

### startKeyboardListener

- startKeyboardListener(): void

- - Defined in index-browser.ts:90

  #### Returns void

### startTickHandler

- startTickHandler(): void

- - Defined in index-browser.ts:100

  #### Returns void

### stop

- stop(): void

- - Defined in index-browser.ts:86

  #### Returns void

Generated using TypeDoc